See the top rated post in this thread. Click here

Results 1 to 3 of 3

Thread: Revcloud to include (rectangle & polygonal) in my lisp ruitine (Autocad 2018)

  1. #1
    Member
    Join Date
    2017-11
    Posts
    10
    Login to Give a bone
    0

    Default Revcloud to include (rectangle & polygonal) in my lisp ruitine (Autocad 2018)

    I am using acad2018

    In my lisp routine I have tried these commands "revcloud" & "_revcloud" & "_.revcloud" and all three skip where it asks if you want a rectangle or polygonal revision cloud. How do I get to those options?

  2. #2
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,667
    Login to Give a bone
    1

    Default Re: Revcloud to include (rectangle & polygonal) in my lisp ruitine (Autocad 2018)

    Look at initcommandversion (AutoLISP) and Command Versioning in AutoCAD.
    You need to make sure it's running the current version of the command.

  3. #3
    Member
    Join Date
    2017-11
    Posts
    10
    Login to Give a bone
    0

    Default Re: Revcloud to include (rectangle & polygonal) in my lisp ruitine (Autocad 2018)

    How do I get my lisp routine to finish the revcloud command before going on to rest of lisp routine?

    Here is what I have:

    Code:
    (defun C:jt1 ()
    
      (setq m:sc (getvar "dimscale"))
    
      (setq m:REVNUM (getstring "\nEnter the revision set: "))
    
      (command "-layer" "m" (strcat "REVISION_CLOUDS_" m:revnum) "")
    
      (initcommandversion -1)
      (command "_revcloud" "s" "c" "p" "a" (* 0.5 m:sc) "")
    
      (setq m:TAGLAY (strcat "REVTAG-" m:REVNUM))
      (setq m:PLACETAG (getpoint "\nPlace the cloud's tag: "))
      (command "-layer" "m" m:TAGLAY "")
      (command "._insert" "cloudtag" m:PLACETAG (getvar "DIMSCALE") "" "0" m:revnum )
      (princ "\nNow place the leader using a 3-point arc. ")
      
      (command "._arc")
    )
    Last edited by Opie; 2017-11-22 at 05:04 PM. Reason: [code] tags added ~Opie

Similar Threads

  1. RevCloud LISP Help
    By michael.viall919828 in forum AutoLISP
    Replies: 7
    Last Post: 2012-12-20, 07:48 PM
  2. Replies: 10
    Last Post: 2012-10-01, 04:02 PM
  3. revcloud lisp
    By CAD Brad in forum AutoLISP
    Replies: 12
    Last Post: 2010-11-04, 09:37 PM
  4. Convert Rectangle Viewport to Polygonal Viewport
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 4
    Last Post: 2007-01-29, 05:59 PM
  5. Write a LISP routine to enhance the revcloud command
    By melissa.j.seidel in forum AutoLISP
    Replies: 7
    Last Post: 2005-11-14, 06:08 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •